summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authormalahx2016-07-01 13:19:15 +0200
committermalahx2016-07-01 13:19:15 +0200
commit6a85ea93f526cd57ff4d445e44ed73725e4b36c6 (patch)
treef3c4da819bff5762e6849b9ff1a2261cfec2bc42
downloadaur-6a85ea93f526cd57ff4d445e44ed73725e4b36c6.tar.gz
initial commit of monodevelop-stable
-rw-r--r--.SRCINFO27
-rw-r--r--PKGBUILD48
-rw-r--r--monodevelop.install20
3 files changed, 95 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..4f919c92e94
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,27 @@
+pkgbase = monodevelop-stable
+ pkgdesc = An IDE primarily designed for C# and other .NET languages
+ pkgver = 6.0.1.9
+ pkgrel = 1
+ url = http://www.monodevelop.com
+ install = monodevelop.install
+ arch = any
+ license = GPL
+ makedepends = rsync
+ makedepends = cmake
+ makedepends = git
+ makedepends = nuget
+ makedepends = mono-pcl
+ depends = mono>=4.0.1
+ depends = mono-addins>=0.6.2
+ depends = gnome-sharp
+ depends = desktop-file-utils
+ depends = hicolor-icon-theme
+ optdepends = xsp: To run ASP.NET pages directly from monodevelop
+ provides = monodevelop
+ conflicts = monodevelop
+ options = !makeflags
+ source = git://github.com/mono/monodevelop.git
+ md5sums = SKIP
+
+pkgname = monodevelop-stable
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..6adb975ea92
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,48 @@
+# $Id$
+# Maintainer: Malah <malah@neuf.fr>
+# Contributor: Daniel Isenmann <daniel@archlinux.org>
+# Contributor: Timm Preetz <timm@preetz.us>
+# Contributor: Giovanni Scafora <giovanni@archlinux.org>
+
+pkgname=monodevelop-stable
+_pkgname=monodevelop
+pkgver=6.0.1.9
+pkgrel=1
+pkgdesc="An IDE primarily designed for C# and other .NET languages"
+arch=('any')
+url="http://www.monodevelop.com"
+license=('GPL')
+depends=('mono>=4.0.1' 'mono-addins>=0.6.2' 'gnome-sharp' 'desktop-file-utils' 'hicolor-icon-theme')
+makedepends=('rsync' 'cmake' 'git' 'nuget' 'mono-pcl')
+options=(!makeflags)
+optdepends=('xsp: To run ASP.NET pages directly from monodevelop')
+provides=('monodevelop')
+conflicts=('monodevelop')
+install=${_pkgname}.install
+source=(git://github.com/mono/${_pkgname}.git)
+md5sums=('SKIP')
+
+build() {
+ export MONO_SHARED_DIR=$srcdir/src/.wabi
+ mkdir -p $MONO_SHARED_DIR
+
+ cd $srcdir/$_pkgname
+ git submodule update --init --recursive || return 1
+ git checkout tags/$_pkgname-$pkgver
+ git clean -dfx
+
+ ./configure --prefix=/usr --profile=stable
+ LD_PRELOAD="" make
+}
+
+package() {
+ cd $srcdir/$_pkgname
+
+ LD_PRELOAD="" make DESTDIR=$pkgdir install
+ # delete conflicting files
+ rm -rf $(find $pkgdir/usr/share/mime/ -type f | grep -v "packages")
+ rm -r $MONO_SHARED_DIR
+
+ # NuGet.exe is missing somehow, fixed FS#43423
+ install -Dm755 "${srcdir}"/monodevelop/main/external/nuget-binary/NuGet.exe "${pkgdir}"/usr/lib/monodevelop/AddIns/MonoDevelop.PackageManagement/NuGet.exe
+}
diff --git a/monodevelop.install b/monodevelop.install
new file mode 100644
index 00000000000..070e6202c86
--- /dev/null
+++ b/monodevelop.install
@@ -0,0 +1,20 @@
+post_install() {
+ update-mime-database /usr/share/mime 1> /dev/null
+ echo "update desktop mime database..."
+ update-desktop-database -q
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ /bin/true
+}
+
+post_remove() {
+ update-mime-database /usr/share/mime 1> /dev/null
+ echo "update desktop mime database..."
+ update-desktop-database -q
+}